> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integration parameters



## OpenAPI

````yaml /api-reference/membrane-api.json get /integrations/{id}/parameters
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /integrations/{id}/parameters:
    get:
      tags:
        - Integrations
      summary: Get integration parameters
      operationId: getIntegrationParameters
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    name:
                      type: string
                    type:
                      type: string
                    description:
                      type: string
                    required:
                      type: boolean
                    default:
                      type: string
                  required:
                    - name
                    - type
                    - description
                    - required
                    - default
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````